Bug 366171 - cannot boot after install with two hard drives
cannot boot after install with two hard drives
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 16:34 EST by Larry Dillon
Modified: 2008-08-06 16:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 16:24:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Dillon 2007-11-04 16:34:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
Given an IDE drive (used to be /dev/hda now shows up as /dev/sdb) and a SATA drive (/dev/sda)
The idea is to have the IDE drive be ( / /boot & swap )and the sata drive be /home
 
Do custom partitioning as laid out above.
Installer seems to progress fine.
Upon reboot, Grub cannot find partition

I thing the installer is confused and thing it should be booting /dev/sda

Version-Release number of selected component (if applicable):
anaconda-11.3.0.50-2

How reproducible:
Always


Steps to Reproduce:
1. install OS to IDE drive
2. reboot
3. system hangs at grub prompt

Actual Results:
hands at boot prompt

Expected Results:
Should boot Linux

Additional info:
F8 RC3

Filesystem volume name:   /12

I tried this three times before I successfully installed to the IDE drive with the sata drive removed.

I tried editing to boot line in grub to manually point to /dev/sdb2 instead of root=LABEL=/12

I tried resetting the disk labels with tune2fs -L

I tried the "advanced options" in the installer, specifying that the boot loader be installed to the fist block of the super block (or what ever they call it)

The BIOS has no problem knowing what disk it's supposed to boot.
Comment 1 Larry Dillon 2007-11-04 16:36:32 EST
I also tried manually deleting all of the partitions so the disks would be free
of partitions that might be confusing the installer.
Comment 2 Larry Dillon 2007-11-08 20:40:15 EST
The final release version of Fedora 8 has a "Which drive do you want to boot
from" selector.  I do not recall this option when installing from the live CD,
though I am using a different disk set up (two sata versus one sata and one
ata).  If the option was there and I missed it, my bad.
Comment 3 Andy Lindeberg 2008-06-03 16:07:51 EDT
Have you been able to reproduce this error in either F8 or F9?

Note You need to log in before you can comment on or make changes to this bug.